<< firtype | FOSSEE_Signal_Processing_Toolbox | fractdiff >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > flattopwin

# flattopwin

This function returns the filter coefficients of a Flat Top window.

### Syntax

    w = flattopwin (m)
    w = flattopwin (m, opt)

### Parameters

m:

  positive integer value

opt:

  string value, takes in "periodic" or "symmetric"

w:

  output variable, vector of real numbers

### Description

This function returns the filter coefficients of a Flat Top window of length m supplied as input, to the output vector w. The second parameter can take the values "periodic" or "symmetric", depending on which the corresponding form of window is returned. The default is symmetric. This window has low pass-band ripple but a high bandwidth.

### Examples

    flattopwin(8,"periodic")

Report an issue
<< firtype | FOSSEE_Signal_Processing_Toolbox | fractdiff >>